;+
; .. _statistics.pro:
;
; ==============
; statistics.pro
; ==============
;
; DESCRIPTION
; ===========
;
; SEE ALSO
; ========
;
; :ref:`project_profile.sh`
;
; :ref:`as_validation_net_1994_95_v10.pro`
; :ref:`coare_validation_net_1992_93_all_v10.pro`
; :ref:`stratus_validation_net_2001_2002_all_v10.pro`
; :ref:`subdctn_cs_validation_net_1991_93_all_v10.pro`
; :ref:`subdctn_ses_validation_net_1991_93_all_v10.pro`
; :ref:`subdctn_sws_validation_net_1991_93_all_v10.pro`
; :ref:`whots_validation_net_2004_2007_all_v10.pro`
; :ref:`icoads_q2m_stats_paper.pro`
; :ref:`icoads_sst_stats_paper.pro`
; :ref:`icoads_t2m_stats_paper.pro`
; :ref:`icoads_ws_stats_paper.pro`
;
; EXAMPLES
; ========
;
; ::
;
;  IDL> moor=++
;  IDL> ++
;  IDL> statistics, moor, erai, cor, bias, std, rmsd
;
; TODO
; ====
;
; coding rules
;
; complete description
;
; complete example
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * minimal header
;
;-
;
pro statistics, moor, erai, $
   cor, bias, std, rmsd
@cm_project
;; mean1= mean of mooring variable      std1=std of mooring variable
;; mean2= mean of erai variable         std2=std of erai variable
x=moor & y=erai
ind1=where(finite(x,/nan)) & ind2=where(finite(y,/nan))
ind=inter(ind1,ind2)
if (ind ne -1 ) then begin
   x(ind)=!Values.f_nan &y(ind)=!Values.f_nan
endif

ind=where(finite(x))
x=x(ind) & y=y(ind)

nn=n_elements(ind)

cor=correlate(x,y)
xxx=moment(x)
mean1=xxx(0) & std1=sqrt(xxx(1))
xxx=moment(y)
mean2=xxx(0) & std2=sqrt(xxx(1))
bias=mean2-mean1 & std=std2/std1
rmsd=sqrt(total((x-y)*(x-y))/n_elements(x))
end
